import request from '@/utils/request'
// 获取列表
export function getPayment(params) {
  return request({
    method: 'get',
    url: '/payment/GetPayment',
    params
  })
}
// 获取项目类型
export function GetClass(params) {
  return request({
    method: 'get',
    url: '/payment/GetClass',
    params
  })
}
// 添加项目类型
export function AddClass(params) {
  return request({
    method: 'get',
    url: '/payment/AddClass',
    params
  })
}
// 添加收支
export function AddPayment(params) {
  return request({
    method: 'post',
    url: '/payment/AddPayment',
    params
  })
}
// 修改
export function UpdatePayment(params) {
  return request({
    method: 'post',
    url: '/payment/UpdatePayment',
    params
  })
}
// 删除
export function DelPayment(params) {
  return request({
    method: 'get',
    url: '/payment/DelPayment',
    params
  })
}
// 复制上届
export function CopyPayments(params) {
  return request({
    method: 'get',
    url: '/payment/CopyPayments',
    params
  })
}
// 复制单个
export function CopyPayment(params) {
  return request({
    method: 'get',
    url: '/payment/CopyPayment',
    params
  })
}
// 上传图片
export function uploadImage(data) {
  return request({
    url: '/payment/UploadImg',
    method: 'post',
    data
  })
}
// 添加供应商
export function AddSupplier(data) {
  return request({
    url: '/payment/AddSupplier',
    method: 'post',
    data
  })
}
// 获取供应商信息
export function GetSupplier(data) {
  return request({
    url: '/payment/GetSupplier',
    method: 'get',
    data
  })
}
//导出
export function ExportPayment(data) {
  return request({
    method: 'get',
    url: '/payment/ExportPayment',
    params: data
  })
}
// 获取历史填写的项目名称
export function GetGroupName(data) {
  return request({
    url: '/payment/GetGroupName',
    method: 'get',
    data
  })
}

// 下载文件
export function GetFiles(params) {
  return request({
    url: '/payment/GetFiles',
    method: 'get',
    params
  })
}

// 添加单位
export function addUnit(data) {
  return request({
    url: '/payment/AddUnit',
    method: 'post',
    data
  })
}

//获取单位
export function getUnit(data) {
  return request({
    url: '/payment/GetUnit',
    method: 'get',
    data
  })
}

//添加支付记录
export function addPayList(data) {
  return request({
    url: '/payment/AddPay',
    method: 'post',
    data
  })
}

//删除支付记录
export function DelPay(params) {
  return request({
    url: '/payment/DelPay',
    method: 'get',
    params
  })
}

//获取支付记录
export function GetPay(params) {
  return request({
    url: '/payment/GetPay',
    method: 'get',
    params
  })
}

//获取付款方式
export function GetPayWay(params) {
  return request({
    url: '/payment/GetPayWay',
    method: 'get',
    params
  })
}

//添加付款方式
export function AddPayWayOne(data) {
  return request({
    url: '/payment/AddPayWay',
    method: 'post',
    data
  })
}

//修改状态
export function UpdateStatus(params) {
  return request({
    url: '/payment/UpdateStatus',
    method: 'get',
    params
  })
}