import request from '@/utils/request'

// 列表
export function getMessageList(params) {
  return request({
    method: 'get',
    url: '/message/get_message_list',
    params
  })
}

// 回复
export function messageReply(data) {
  return request({
    method: 'post',
    url: '/message/push_message_comment',
    data
  })
}

// 删除
export function deleteMessage(data) {
  return request({
    method: 'post',
    url: '/message/destroy_message',
    data
  })
}

// 回复内容
export function getReplyList(params) {
  return request({
    method: 'get',
    url: '/message/get_message_comment',
    params
  })
}

// 删除回复评论
export function deleteReply(data) {
  return request({
    method: 'post',
    url: '/message/destroy_message_comment',
    data
  })
}

// 置顶
export function setTop(data) {
  return request({
    method: 'post',
    url: '/message/is_top',
    data
  })
}

// 精华
export function setWonderful(data) {
  return request({
    method: 'post',
    url: '/message/is_wonderful',
    data
  })
}
