import request from '@/utils/request'

// 添加目录
export function addClass(data) {
  return request({
    method: 'post',
    url: '/img/add_img_class',
    data
  })
}

// 获取分类
export function getClassList(params) {
  return request({
    method: 'get',
    url: '/img/get_img_list',
    params
  })
}

// 删除分类
export function deleteClass(data) {
  return request({
    method: 'post',
    url: '/img/delete_img_class',
    data
  })
}

// 修改分类
export function editClass(data) {
  return request({
    method: 'post',
    url: '/img/update_img_class',
    data
  })
}

// 上传图片
export function uploadImg(data, fn) {
  return request({
    method: 'post',
    url: '/img/upload_img',
    onUploadProgress: fn,
    data
  })
}

// 获取图片列表
export function getClassImgList(params) {
  return request({
    method: 'get',
    url: '/img/get_class_img',
    params
  })
}

// 删除图片
export function deleteClassImg(data) {
  return request({
    method: 'post',
    url: '/img/delete_img',
    data
  })
}

// 上传视频
export function uploadVideo(data, fn) {
  return request({
    method: 'post',
    url: '/img/upload_video',
    onUploadProgress: fn,
    data
  })
}

// 获取子分类
export function getChildClass(params) {
  return request({
    method: 'get',
    url: '/img/get_image_folder',
    params
  })
}

// 获取图片
export function getChildImg(params) {
  return request({
    method: 'get',
    url: '/img/get_img',
    params
  })
}

// 增加修改分类
export function addUpdateFolder(params) {
  return request({
    method: 'get',
    url: '/img/add_update_folder',
    params
  })
}

// 删除分类
export function deleteFolder(params) {
  return request({
    method: 'get',
    url: '/img/del_folder',
    params
  })
}

// 上传分类图片
export function uploadClassifyImg(data, fn) {
  return request({
    method: 'post',
    url: '/img/uploadFolderImg',
    onUploadProgress: fn,
    data
  })
}

// 删除分类图片
export function deleteFolderImg(data) {
  return request({
    method: 'post',
    url: '/img/deleteFolderImg',
    data
  })
}
