import Vue from 'vue'
import Router from 'vue-router'
import Layout from '@/layout'
import allConstRoutes from './allConstRoutes'
export const constantRoutes = allConstRoutes

Vue.use(Router)

export const asyncRoutes = [ // 异步加载路由
  {
    path: '/zbsusermanage',
    component: Layout,
    redirect: '/zbsusermanage/index',
    name: 'zbsusermanage',
    meta: { title: '用户管理', icon: 'user' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/UserManage'),
        name: 'ZbsUserManageIndex',
        meta: { title: '用户管理' }
      },
      {
        path: 'work',
        component: () => import('@/views/user/work'),
        name: 'ZbsUserManageWork',
        meta: { title: '小程序管理员管理' }
      }
    ]
  },
  {
    path: '/group',
    component: Layout,
    redirect: '/group',
    name: 'Group',
    meta: { title: '用户管理', icon: 'user' },
    children: [
      {
        path: '',
        component: () => import('@/views/group/list'),
        name: 'GroupList',
        meta: { title: '用户分组' }
      }
    ]
  },
  {
    path: '/collect',
    component: Layout,
    redirect: '/collect/list',
    name: 'collect',
    children: [
      {
        path: 'list',
        component: () => import('@/views/collect'),
        name: 'collect',
        meta: { title: '收支汇总', icon: 'promise' }
      }
      // {
      //   path: 'list',
      //   component: () => import('@/views/collect'),
      //   name: 'collect',
      //   meta: { title: '修改收支', icon: 'promise' }
      // }
    ]
  },
  {
    path: '/zbssignupmanage',
    component: Layout,
    redirect: '/zbssignupmanage/index',
    name: 'zbssignupmanage',
    children: [
      {
        path: 'index',
        component: () => import('@/views/SignupManage'),
        name: 'ZbsSignupManage',
        meta: { title: '报名管理', icon: 'signup' }
      }
    ]
  },
  {
    path: '/photo',
    component: Layout,
    redirect: '/photo/list',
    name: 'photo',
    children: [
      {
        path: 'list',
        component: () => import('@/views/photo'),
        name: 'PhotoList',
        meta: { title: '相册管理', icon: 'promise' }
      }
    ]
  },
  {
    path: '/survey',
    component: Layout,
    redirect: '/survey/index',
    name: 'survey',
    meta: { title: '问卷管理', icon: 'user' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/survey'),
        name: 'surveyIndex',
        meta: { title: '问卷设置' }
      }
    ]
  },
  {
    path: '/activity',
    component: Layout,
    redirect: '/activity/index',
    name: 'activity',
    meta: { title: '实战营导师', icon: 'user' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/activity'),
        name: 'activityIndex',
        meta: { title: '实战营导师' }
      }
    ]
  },
  {
    path: '/note',
    component: Layout,
    redirect: '/note/index',
    name: 'Note',
    children: [
      {
        path: 'index',
        component: () => import('@/views/Note/index'),
        name: 'NoteIndex',
        meta: { title: '便签管理', icon: 'promise' }
      }
    ]
  },
  {
    path: '/message_board',
    component: Layout,
    redirect: '/message_board/index',
    name: 'MessageBoard',
    children: [
      {
        path: 'index',
        component: () => import('@/views/messageBoard/index'),
        name: 'NoteIndex',
        meta: { title: '留言板管理', icon: 'promise' }
      }
    ]
  },
  {
    path: '/promise',
    component: Layout,
    redirect: '/promise/list',
    name: 'Promise',
    children: [
      {
        path: 'list',
        component: () => import('@/views/Promise/list'),
        name: 'PromiseList',
        meta: { title: '军令状管理', icon: 'promise' }
      }
    ]
  },
  {
    path: '/zbsseasonset',
    component: Layout,
    redirect: '/zbsseasonset/index',
    name: 'zbsseasonset',
    children: [
      {
        path: 'index',
        component: () => import('@/views/SeasonSet'),
        name: 'ZbsSeasonSet',
        meta: { title: '培训设置', icon: 'systemsettings', noCache: true }
      }
    ]
  },
  {
    path: '/permission',
    component: Layout,
    redirect: '/permission/index',
    name: 'Permission',
    children: [
      {
        path: 'index',
        component: () => import('@/views/role'),
        name: 'RolePermission',
        meta: { title: '角色管理', icon: 'peoples' }
      }
    ]
  },
  { path: '*', redirect: '/404', hidden: true }
]

const createRouter = () => new Router({
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})

const router = createRouter()

export function resetRouter() {
  const newRouter = createRouter()
  router.matcher = newRouter.matcher // reset router
}

export default router
